extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Municipios"
    - var CabeceraListado = ["País", "Estado", "Municipio", "Descripción"]
    - var CantidadListado = "{{ tMunicipio.length }}"
    - var TituloDatos = "Detalles del Municipio"
    - var TamanoColeccion = "tMunicipio.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tMunicipioFor of tMunicipio | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Municipio_Eliminar(tMunicipioFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Municipio(tMunicipioFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap [{{ tMunicipioFor.Codpais}}] {{ tMunicipioFor.Descripcion_pais | slice:0:20 }}
        td
            h6.text-xs.text-nowrap [{{ tMunicipioFor.Codestado}}] {{ tMunicipioFor.Descripcion_estado | slice:0:20 }}
        td
            h6.text-xs {{ tMunicipioFor.Codmunicipio }}
        td
            h6.text-xs.text-nowrap {{ tMunicipioFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-municipio-cabecera([(Municipio)]="tMunicipioActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-municipio-detalles([(Municipio)]="tMunicipioActual", [Paises]="tPaises", [Nuevo]="tNuevo")
